# Get-RASAVDResourceGroup

### NAME

Get-RASAVDResourceGroup\ <br>

### SYNOPSIS

The cmdlet returns an object of type Azure Virtual Desktop Resource Group.\ <br>

### SYNTAX

Get-RASAVDResourceGroup -[ProviderId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASAVDResourceGroup.html#ProviderId) *\<uint>* \[-[SiteId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASAVDResourceGroup.html#SiteId) *\<uint>*] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASAVDResourceGroup.html#CommonParameters)*>*]\ <br>

### DESCRIPTION

The cmdlet returns an object of type Azure Virtual Desktop Resource Group.\
\
This is an Experimental feature which is subject to slight changes.\ <br>

### PARAMETERS

\
-**SiteId \<uint>**\
Site ID from which to retrieve the Azure Virtual Desktop Resource Group information.\
\
If the parameter is omitted, the Licensing Server site ID will be used.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**ProviderId \<uint>**\
Provider ID from which to retrieve the Azure Virtual Desktop Resource Group information.\ <br>

```
        Required?                    true
```

```
        Position?                    named
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
\<CommonParameters>

```
        This cmdlet supports the common parameters: Verbose, Debug,
```

```
        ErrorAction, ErrorVariable, WarningAction, WarningVariable,
```

```
        OutBuffer, PipelineVariable, and OutVariable. For more information, see 
```

```
        about_CommonParameters . 
```

<br>

### INPUTS

-none-

### OUTPUTS

[AVDResourceGroup\[\]](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/AVDResourceGroup\[].html)

### EXAMPLES

\
\&#xNAN;**---------- EXAMPLE 1 ----------**\
\
Get-RASAVDResourceGroup -ProviderId 2 | Format-List\
\
Retrieves all the Resource Groups under Provider with ID 2 from the Licensing Server site.\
\
To retrieve the info from a specific site, specify the -SiteId parameter.\
\
The Format-List cmdlet formats the display output to include all available properties.\
\&#xNAN;**---------- EXAMPLE 2 ----------**\
\
Get-RASAVDResourceGroup -ProviderId 2 -SiteId 1\
\
Retrieves all the Resource Groups under Provider with ID 2 from site with ID 1.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/get-rasavdresourcegroup.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
